Eee-pc

would an asus eee-pc be able to run jMonkeyEngine games, I think I am right in saying that it has an Intel GMA 900 graphics adapter…?

Depends on what OpenGL features are using, for jMonkeyEngine I believe the minimum requirement is OpenGL 1.2.

You can check what the graphics adapter supports with glview.